Bug 65461 - (IDE SERVERWORKS)mount /dev/cdrom fails on on Compaq DL360G2 with Serverworks OSB4 IDE
(IDE SERVERWORKS)mount /dev/cdrom fails on on Compaq DL360G2 with Serverworks...
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-24 12:09 EDT by Need Real Name
Modified: 2007-03-26 23:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-09 10:14:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-24 12:09:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
When attempting to mount the cdrom on a Compaq DL360G2, the error shown below 
is returned, and machine hangs. 

Serverworks OSB4 in impossible state. Disable UDMA or if you are using Seagate 
then try switching disk types on this controller. Please report this event to 
osb4-bug@ide.cabal.tm
OSB4: Continuing might cause corruption

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.mount /dev/cdrom /mnt/cdrom
2.
3.
	

Actual Results:  Machine Hangs

Expected Results:  CDROM mounts. 

Additional info:

Sent copy of bug report to osb4-bug@ide.cabal.tm
Comment 1 Need Real Name 2002-05-26 13:01:21 EDT
We are seeing this same error. When was this error first reported?
Comment 2 Need Real Name 2002-05-28 07:10:26 EDT
I first saw this problem Thursday, 23 May.
Comment 3 Need Real Name 2002-05-29 13:56:13 EDT
We disabled the UDMA on the dev pointing to our CD-ROM (i.e. hda) using the 
following command: 
hdparm -d0 /dev/hda 

Our HDD was mounted to /dev/cciss/c0d0 as would all HDD on a DL360_g2 system. 
When we ran some test that mount and umount the cdrom we no longer saw this 
error. Disabling UDMA is a workaround for this error. Try this to see if it 
probides a workaround for your issue. There is still an issue, prehaps in the 
ROM.
Comment 4 Elliot Lee 2002-06-20 12:01:07 EDT
Kernel issue
Comment 5 Arjan van de Ven 2002-06-20 12:06:46 EDT
hardware issue
however dma is supposed to be disabled by default already in 7.3.... (for cdrom
drives that is)
Comment 6 Need Real Name 2002-06-20 14:44:38 EDT
DMA was not disabled by default in 7.3 on this system
Comment 7 masanari iida 2002-07-09 00:47:18 EDT
On tc3100 (HP NetServer) + RH7.3 have similar problem.

After some research on web, I found following patch in the
kernel mailing list.
http://www.cs.helsinki.fi/linux/linux-kernel/2002-23/0306.html
http://www.cs.helsinki.fi/linux/linux-kernel/2002-23/0812.html
http://www.cs.helsinki.fi/linux/linux-kernel/2002-23/0910.html

I hope next RedHat beta (limbo2) will include this patch.

Comment 8 Arjan van de Ven 2002-07-31 09:13:13 EDT
dma is off by default for all cdroms (initscripts does this), but please do test
limbo2...

Note You need to log in before you can comment on or make changes to this bug.